@import (reference) '../Board.variables.import.less';

#project-board {

  .sidebar {
    display: flex;
    flex-direction: column;
    flex: 0 0;
    flex-basis: @sidebarWidth;

    background: @sidebarBackgroundColor;
    border-right: 1px solid @darkerBackground;

    transform: translate3d(0, 0, 0);
    transition: margin-left 0.5s, flex-basis 0.5s;

    &.hidden {
      margin-left: -@sidebarWidth;
    }

    @media (max-width: @tabletBreakpoint) {
      flex-basis: 100vw;
      &.hidden {
        margin-left: -@sidebarWidth;
        flex-basis: @sidebarWidth;
      }

      .toolbar {
        .hide.item {
          display: none;
        }
        .board.item {
          display: block !important;
        }
      }
    }

    .sidebar-scroll {
      flex: 1 1;
      -webkit-overflow-scrolling: touch;
    }

    .toolbar {
      height: @toolbarHeight;
      background-color: #212121; //@black;
      box-shadow: rgba(0, 0, 0, 0.25) 0 0 3px;
      position: relative;
      z-index: 1;
      margin: 0;
      border-radius: 0;

      .board.item {
        display: none;
      }

      .right.menu {
        flex-direction: row;
      }

      > .item:first-child {
        border-radius: 0;
      }

      .item {
        &.active {
          background-color: @teal !important;
          text-shadow: darken(@teal, 10%) 1px 1px 0px;
        }
      }

      .dropdown.action {
        color: @white;
        cursor: pointer;
        padding: 0 1rem;
        height: 100%;
        display: flex;
        flex: 1 1 auto;
        align-items: center;
        justify-content: center;
        transition: background-color 250ms;
        > .icon {
          margin: 0;
        }
        &:hover {
          background-color: fade(@black, 15%);
        }
        .menu {
          border-radius: 0;
          left: auto;
          right: 0;
        }
      }

    }

    .heading {
      flex-grow: 0;
      flex-shrink: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      height: @headerHeight;

      background-size: cover;
      background-repeat: no-repeat;
      background-position: 50% 50%;

      text-shadow: rgba(0, 0, 0, 0.25) 1px 1px 0;

      .header {
        flex: 1 1 auto;
      }
    }

    .phase-list {
      padding: 0 1rem;

      .phase,
      .hashtag {
        display: flex;
        justify-content: space-between;
        align-items: center;
        color: @lightColorInverted;
        line-height: 1.125em;
        cursor: pointer;
        position: relative;
        border-bottom: 1px solid rgba(255, 255, 255, 0.1);

        transition: color 0.25s;

        .name {

        }

        .date {
          font-size: 0.75rem;
          opacity: 0.5;
        }

        .visibility {

        }

        &.hidden {
          opacity: 0.5;
        }
      }

      .phase {
        padding: 0.25rem 0;
      }

      .hashtag {
        padding: 0.5rem 0;
      }
    }
  }
}